MyGUI::BackwardCompatibility Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

## Static Public Member Functions

static bool | checkProperty (Widget *_owner, std::string &_key, std::string &_value)
static void | initialise ()
static void | shutdown ()
static bool | isIgnoreProperty (std::string_view _key)
static std::string_view | getPropertyRename (std::string_view _propertyName)
static std::string_view | getFactoryRename (std::string_view _categoryName, std::string_view _factoryName)
static std::string_view | getSkinRename (std::string_view _skinName)
static void | registerWidgetTypes ()

## Detailed Description

Definition at line 583 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## checkProperty()

bool MyGUI::BackwardCompatibility::checkProperty | ( | Widget * | _owner,
|  | std::string & | _key,
|  | std::string & | _value )

static

Definition at line 1095 of file MyGUI_BackwardCompatibility.cpp.

## getFactoryRename()

std::string_view MyGUI::BackwardCompatibility::getFactoryRename | ( | std::string_view | _categoryName,
|  | std::string_view | _factoryName )

static

Definition at line 1320 of file MyGUI_BackwardCompatibility.cpp.

## getPropertyRename()

std::string_view MyGUI::BackwardCompatibility::getPropertyRename | ( | std::string_view | _propertyName | ) |

static

Definition at line 1310 of file MyGUI_BackwardCompatibility.cpp.

## getSkinRename()

std::string_view MyGUI::BackwardCompatibility::getSkinRename | ( | std::string_view | _skinName | ) |

static

Definition at line 1417 of file MyGUI_BackwardCompatibility.cpp.

## initialise()

void MyGUI::BackwardCompatibility::initialise | ( |  | ) |

static

Definition at line 1201 of file MyGUI_BackwardCompatibility.cpp.

## isIgnoreProperty()

bool MyGUI::BackwardCompatibility::isIgnoreProperty | ( | std::string_view | _key | ) |

static

Definition at line 1086 of file MyGUI_BackwardCompatibility.cpp.

## registerWidgetTypes()

void MyGUI::BackwardCompatibility::registerWidgetTypes | ( |  | ) |

static

Definition at line 1440 of file MyGUI_BackwardCompatibility.cpp.

## shutdown()

void MyGUI::BackwardCompatibility::shutdown | ( |  | ) |

static

Definition at line 1433 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp